1. saltedfish's Avatar
    have to use the is app, Servigistics by PTC (It's available for both iOS and Android) for daily work. Most of my peers are iPhone fanboys and use the iOS version. But I prefer BB10 so traded my iPhone 5 for the Z30 with wife. then install the Servigistics Android version on BB10, all works well.
    Servigistics by PTC has 2 version in Google play store, the old one, ver:10.7.8, required Android 4.1 or up. the new one, ver:11.1.2, (name changed to PTC Servigistics Field Service), required Android 4.4 and up.
    Today, company did an upgrade and cut over to the new version, 11.1.2. I found that I can't install it on my Z30 any more.
    I have Cobalt's latest google play store apk installed but cannot even find the version 11.1.2 of Servigistics. manged to download the 11.1.2 apk file and transfer to my Z30, but it won't be able to install (just quit and saying unable to install)
    Just wondering could it because my BB10 (10.3.2.2836) Android runtime is base on 4.3 and the new version of Servigistics need 4.4 and up?

    Could some master help me on this? since last year changing to Z30 and never want to go back. but if I can't install this Servigistics 11.1.2, I have no choice but either go back to iPhone or buy a Priv (still too expensive).
    02-28-16 12:11 AM
  2. BigBadWulf's Avatar
    If it requires 4.4, then you won't be able to install it.
    02-28-16 12:21 AM
  3. conite's Avatar
    Confirmed. Servisistics requires Android Kitkat 4.4.

    Perhaps an older version will work.
    02-28-16 12:29 AM
  4. saltedfish's Avatar
    Anybody know when BB10 will be able to run Android 4.4 apps?


    Posted via CB10
    02-28-16 09:33 AM
  5. thurask's Avatar
    Anybody know when BB10 will be able to run Android 4.4 apps?


    Posted via CB10
    Probably never, unless you get a Priv.
    02-28-16 09:37 AM

Similar Threads

  1. Android Whatsapp on BlackBerry 10
    By portal in forum Android Apps
    Replies: 27
    Last Post: 06-03-17, 10:54 AM
LINK TO POST COPIED TO CLIPBOARD